### Hierarchy

- BitKeyPair

### Implements

- KeyPairHelper

## Index

### Constructors

- constructor

### Methods

- checkSig
- createKeyPair
- decryptFields
- decryptFile
- decryptMessage
- encryptFields
- encryptFile
- encryptMessage
- encryptPermissionsFields
- generateMnemonicPhrase
- getAddr
- getPublicKey
- signMessage
- getPublicKeyFromMnemonic

## Constructors

### constructor

- new BitKeyPair(permissionsSource: PermissionsSource, siteDataSource: SiteDataSource, origin: string): BitKeyPair

- - Defined in utils/keypair/BitKeyPair.ts:52

  #### Parameters

  - ##### permissionsSource: PermissionsSource

  - ##### siteDataSource: SiteDataSource

  - ##### origin: string

  #### Returns BitKeyPair

## Methods

### checkSig

- checkSig(data: string, sig: string): Promise<boolean>

- Implementation of KeyPairHelper.checkSig

  - Defined in utils/keypair/BitKeyPair.ts:91

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns Promise<boolean>

### createKeyPair

- createKeyPair(passPhrase: string): Promise<KeyPair>

- Implementation of KeyPairHelper.createKeyPair

  - Defined in utils/keypair/BitKeyPair.ts:61

  #### Parameters

  - ##### passPhrase: string

  #### Returns Promise<KeyPair>

### decryptFields

- decryptFields(fields: Map<string, string>, passwords?: Map<string, string>): Promise<Map<string, string>>

- Implementation of KeyPairHelper.decryptFields

  - Defined in utils/keypair/BitKeyPair.ts:176

  #### Parameters

  - ##### fields: Map<string, string>

  - ##### Optional passwords: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptFile

- decryptFile(file: string, filedName: string, password?: string): Promise<string>

- Implementation of KeyPairHelper.decryptFile

  - Defined in utils/keypair/BitKeyPair.ts:158

  #### Parameters

  - ##### file: string

  - ##### filedName: string

  - ##### Optional password: string

  #### Returns Promise<string>

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- Implementation of KeyPairHelper.decryptMessage

  - Defined in utils/keypair/BitKeyPair.ts:166

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

### encryptFields

- encryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- Implementation of KeyPairHelper.encryptFields

  - Defined in utils/keypair/BitKeyPair.ts:125

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### encryptFile

- encryptFile(file: string, filedName: string): Promise<string>

- Implementation of KeyPairHelper.encryptFile

  - Defined in utils/keypair/BitKeyPair.ts:151

  #### Parameters

  - ##### file: string

  - ##### filedName: string

  #### Returns Promise<string>

### encryptMessage

- encryptMessage(recipientPk: string, message: string): Promise<string>

- Implementation of KeyPairHelper.encryptMessage

  - Defined in utils/keypair/BitKeyPair.ts:112

  #### Parameters

  - ##### recipientPk: string

  - ##### message: string

  #### Returns Promise<string>

### encryptPermissionsFields

- encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>

- Implementation of KeyPairHelper.encryptPermissionsFields

  - Defined in utils/keypair/BitKeyPair.ts:129

  #### Parameters

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns Promise<string>

### generateMnemonicPhrase

- generateMnemonicPhrase(): Promise<string>

- Implementation of KeyPairHelper.generateMnemonicPhrase

  - Defined in utils/keypair/BitKeyPair.ts:77

  #### Returns Promise<string>

### getAddr

- getAddr(): string

- - Defined in utils/keypair/BitKeyPair.ts:108

  #### Returns string

### getPublicKey

- getPublicKey(): string

- Implementation of KeyPairHelper.getPublicKey

  - Defined in utils/keypair/BitKeyPair.ts:104

  #### Returns string

### signMessage

- signMessage(data: string): Promise<string>

- Implementation of KeyPairHelper.signMessage

  - Defined in utils/keypair/BitKeyPair.ts:85

  #### Parameters

  - ##### data: string

  #### Returns Promise<string>

### Static getPublicKeyFromMnemonic

- getPublicKeyFromMnemonic(passPhrase: string): string

- - Defined in utils/keypair/BitKeyPair.ts:44

  #### Parameters

  - ##### passPhrase: string

  #### Returns string

Generated using TypeDoc